using System;

namespace InABox.Core
{
    public abstract class BaseDocumentEditor : BaseEditor
    {
        public BaseDocumentEditor(string filemask)
        {
            FileMask = filemask;
        }

        public string FileMask { get; private set; }

        protected BaseDocumentEditor CloneBaseDocumentEditor()
        {
            var result = (Activator.CreateInstance(GetType()) as BaseDocumentEditor)!;
            result.FileMask = FileMask;
            return result;
        }
    }
}